Package org.eclipse.emf.cdo.transaction

# Interface CDOTransactionConflictAddedEvent

All Superinterfaces:
  `CDOTransactionConflictChangedEvent`, `CDOViewEvent`, `org.eclipse.net4j.util.event.IEvent`

All Known Subinterfaces:
  `CDOTransactionConflictEvent`

public interface CDOTransactionConflictAddedEvent extends CDOTransactionConflictChangedEvent
A `view event` fired from a `transaction` for each `object` that enters the `conflict` state.

Since:
  4.19
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isFirstConflict()`

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionConflictChangedEvent

`getConflictingObject, getConflicts`

### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewEvent

`getSource`

## Method Details

### isFirstConflict

boolean isFirstConflict()